Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.iface
Interface Interface

All Superinterfaces:
  ModelItem, PropertyChangeNotifier

All Known Implementing Classes:
  WsdlInterface

    public interface Interface

extends ModelItem

An Interface exposing operations

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `DEFINITION_PROPERTY` property for definition changes
`static java.lang.String` | `ENDPOINT_PROPERTY` property for endpoint changes, propertychange messages will contain oldValue = null if an endpoint is added, newValue = null if an endpoint is removed and both values if an endpoint is modified.

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Method Summary
`void` | `addEndpoint(java.lang.String endpoint)`
`void` | `addInterfaceListener(InterfaceListener listener)`
`void` | `changeEndpoint(java.lang.String oldEndpoint, java.lang.String newEndpoint)`
`WsdlLoader` | `createWsdlLoader()`
`javax.xml.namespace.QName` | `getBindingName()`
`java.lang.String` | `getDefinition()`
`java.lang.String[]` | `getEndpoints()`
`MessageBuilder` | `getMessageBuilder()`
`Operation` | `getOperationAt(int index)`
`Operation` | `getOperationByName(java.lang.String name)`
`int` | `getOperationCount()`
`java.util.List<Operation>` | `getOperations()`
`Project` | `getProject()`
`WsdlContext` | `getWsdlContext()` This shouldn't be here or refactored to an InterfaceContext interface..
`boolean` | `isCached()`
`void` | `removeEndpoint(java.lang.String endpoint)`
`void` | `removeInterfaceListener(InterfaceListener listener)`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### ENDPOINT_PROPERTY

    static final java.lang.String ENDPOINT_PROPERTY

  property for endpoint changes, propertychange messages will contain oldValue = null if an endpoint is added, newValue = null if an endpoint is removed and both values if an endpoint is modified.

### DEFINITION_PROPERTY

    static final java.lang.String DEFINITION_PROPERTY

  property for definition changes

Method Detail

### getEndpoints

    java.lang.String[] getEndpoints()

### addEndpoint

    void addEndpoint(java.lang.String endpoint)

### removeEndpoint

    void removeEndpoint(java.lang.String endpoint)

### changeEndpoint

    void changeEndpoint(java.lang.String oldEndpoint,
                        java.lang.String newEndpoint)

### getOperationAt

    Operation getOperationAt(int index)

### getOperationCount

    int getOperationCount()

### getOperationByName

    Operation getOperationByName(java.lang.String name)

### getProject

    Project getProject()

### getDefinition

    java.lang.String getDefinition()

### addInterfaceListener

    void addInterfaceListener(InterfaceListener listener)

### removeInterfaceListener

    void removeInterfaceListener(InterfaceListener listener)

### getMessageBuilder

    MessageBuilder getMessageBuilder()

### getWsdlContext

    WsdlContext getWsdlContext()

  This shouldn't be here or refactored to an InterfaceContext interface..

### getBindingName

    javax.xml.namespace.QName getBindingName()

### isCached

    boolean isCached()

### createWsdlLoader

    WsdlLoader createWsdlLoader()

### getOperations

    java.util.List<Operation> getOperations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.